/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package librarymanagementsystem;
import javax.swing.*;  
import java.sql.*;
import java.text.SimpleDateFormat;
/**
 *
 * @author Student
 */
public class librarianHome extends javax.swing.JFrame {

    /**
     * Creates new form librarianHome
     */
    Connection connect = null;
    public librarianHome() {
        initComponents();
        connect=SQLiteJava.dbConnector();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        viewbooks = new javax.swing.JButton();
        issuebooks = new javax.swing.JButton();
        returnbooks = new javax.swing.JButton();
        addmembers = new javax.swing.JButton();
        removemembers = new javax.swing.JButton();
        addbooks = new javax.swing.JButton();
        viewmembers = new javax.swing.JButton();
        request = new javax.swing.JButton();
        borrowed = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabel1.setText("Librarian Home");

        viewbooks.setText("View All Books");
        viewbooks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                viewbooksActionPerformed(evt);
            }
        });

        issuebooks.setText("Issue Books");
        issuebooks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                issuebooksActionPerformed(evt);
            }
        });

        returnbooks.setText("Return Books");
        returnbooks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                returnbooksActionPerformed(evt);
            }
        });

        addmembers.setText("Add Members");
        addmembers.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addmembersActionPerformed(evt);
            }
        });

        removemembers.setText("Remove Members");
        removemembers.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removemembersActionPerformed(evt);
            }
        });

        addbooks.setText("Add Books");
        addbooks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addbooksActionPerformed(evt);
            }
        });

        viewmembers.setText("View Members");
        viewmembers.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                viewmembersActionPerformed(evt);
            }
        });

        request.setText("View Requests");
        request.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                requestActionPerformed(evt);
            }
        });

        borrowed.setText("View Borrowed ");
        borrowed.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                borrowedActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(127, 127, 127)
                        .addComponent(jLabel1))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(30, 30, 30)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(returnbooks, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(addbooks, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .addComponent(viewmembers))
                        .addGap(26, 26, 26)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(viewbooks)
                                    .addComponent(addmembers, javax.swing.GroupLayout.Alignment.TRAILING))
                                .addGap(18, 18, 18)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(removemembers, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(issuebooks, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(request)
                                .addGap(18, 18, 18)
                                .addComponent(borrowed, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))))
                .addContainerGap(40, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jLabel1)
                .addGap(35, 35, 35)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(viewbooks)
                    .addComponent(issuebooks)
                    .addComponent(addbooks))
                .addGap(30, 30, 30)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(returnbooks)
                    .addComponent(addmembers)
                    .addComponent(removemembers))
                .addGap(28, 28, 28)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(viewmembers)
                    .addComponent(request)
                    .addComponent(borrowed))
                .addGap(0, 75, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void addbooksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addbooksActionPerformed
        addBooks.open_window();
    }//GEN-LAST:event_addbooksActionPerformed

    private void viewmembersActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_viewmembersActionPerformed
        try{
            String libs = "Members: \n \n";
        String query = " select * from login where role=3 ";
        PreparedStatement pst = connect.prepareStatement(query);
        ResultSet rs = pst.executeQuery();
        while (rs.next()) {
            String usr = rs.getString("username");
            libs+=usr+"\n";
          }
        JOptionPane.showMessageDialog(null, new JTextArea(libs));
        }
        catch(Exception e)
        {
            System.out.println(e);
        }
    }//GEN-LAST:event_viewmembersActionPerformed

    private void viewbooksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_viewbooksActionPerformed
        try{
            String libs = "Books: \n \n";
        String query = " select * from books ";
        PreparedStatement pst = connect.prepareStatement(query);
        ResultSet rs = pst.executeQuery();
        while (rs.next()) {
            String name = rs.getString("name");
            libs+=name+"\t";
            String author = rs.getString("author");
            libs+=author+"\t";
            int quantity = rs.getInt("quantity");
            libs+="Qty:"+quantity+"\n";
          }
        JOptionPane.showMessageDialog(null,new JTextArea(libs));
        }
        catch(Exception e)
        {
            System.out.println(e);
        }
    }//GEN-LAST:event_viewbooksActionPerformed

    private void addmembersActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addmembersActionPerformed
        addMembers.open_window();
    }//GEN-LAST:event_addmembersActionPerformed

    private void removemembersActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removemembersActionPerformed
        deleteMember.open_window();
    }//GEN-LAST:event_removemembersActionPerformed

    private void issuebooksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_issuebooksActionPerformed
        issueBook.open_window();
    }//GEN-LAST:event_issuebooksActionPerformed

    private void returnbooksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_returnbooksActionPerformed
        returnBook.open_window();
    }//GEN-LAST:event_returnbooksActionPerformed

    private void requestActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_requestActionPerformed
        try{
            String libs = "Requests: \n \n";
        String query = " select * from requests ";
        PreparedStatement pst = connect.prepareStatement(query);
        ResultSet rs = pst.executeQuery();
        while (rs.next()) {
            String name = rs.getString("name");
            libs+=name+"\t";
            String author = rs.getString("author");
            libs+=author+"\n";
          }
        JOptionPane.showMessageDialog(null,new JTextArea(libs));
        }
        catch(Exception e)
        {
            System.out.println(e);
        }
    }//GEN-LAST:event_requestActionPerformed

    private void borrowedActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_borrowedActionPerformed
        try{
            String libs = "Borrowed books: \n \n";
        String query = " select * from borrow where returned is NULL ";
        PreparedStatement pst = connect.prepareStatement(query);
        ResultSet rs = pst.executeQuery();
        while (rs.next()) {
            String usr = rs.getString("book");
            libs+=usr+"\t";
            String user = rs.getString("username");
            libs+=user+"\t";
            String s =new SimpleDateFormat("yyyy-MM-dd").parse(rs.getString("issue_date")).toString();
            String arr[] = s.split(" ");
            libs+=arr[1]+" "+arr[2]+" "+arr[5]+"\t";
            String s1 = new SimpleDateFormat("yyyy-MM-dd").parse(rs.getString("return_date")).toString();
            String arr1[] = s1.split(" ");
            libs+=arr1[1]+" "+arr1[2]+" "+arr1[5]+"\t";
            String msg = rs.getString("message");
            if(msg!=null)
                libs+=msg+"\t";
            if(rs.getInt("returned")==1)
            {
                libs+="Returned\t";
            }
            else if(rs.getInt("returned")==0)
            {
                libs+="Not Returned\t";
            }
            int fine = rs.getInt("fine");
            libs+="Fine:"+fine+"\n";
          }
        JOptionPane.showMessageDialog(null,new JTextArea(libs));
        }
        catch(Exception e)
        {
            System.out.println(e);
        }
    }//GEN-LAST:event_borrowedActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void open_window() {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(librarianHome.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(librarianHome.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(librarianHome.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(librarianHome.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new librarianHome().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton addbooks;
    private javax.swing.JButton addmembers;
    private javax.swing.JButton borrowed;
    private javax.swing.JButton issuebooks;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton removemembers;
    private javax.swing.JButton request;
    private javax.swing.JButton returnbooks;
    private javax.swing.JButton viewbooks;
    private javax.swing.JButton viewmembers;
    // End of variables declaration//GEN-END:variables

}
